#koboldworks-ready-up-overlay {
	position: absolute;
	display: flex;
	width: 100%;
	top: calc(40% - 7em);
	height: 300px;
	left: 0px;
	justify-content: center;
	align-items: center;
	pointer-events: none;

	transform: translateZ(0);

	transition: all 0.3s ease-in-out;


	&.active {
		visibility: visible;
		opacity: 1;
	}
	&.hidden {
		opacity: 0;
		visibility:hidden;
	}
	&.ghosted {
		opacity: 0.3;
	}

	.container label {
		flex: 1;
		text-align: center;
		font-variant: small-caps;
		font-size: 7em;
		font-style: italic;
		font-weight: bold;
		text-shadow: 0 0 24px yellow, 0 0 5px white, 0 0 1px yellow, 0 0 3px yellow;
	}

&.next {
	background: linear-gradient(144deg, rgba(2, 0, 36, 0.3) 0%, rgba(11, 77, 91, 1) 50%, rgba(12, 96, 67, 0.3) 100%);
}

&.now {
	background: linear-gradient(144deg, rgba(13, 29, 16, 0.3) 0%, rgb(102, 14, 11) 50%, rgba(54, 12, 56, 0.3) 100%);
}

&.next #koboldworks-ready-up-next,
&.now #koboldworks-ready-up-now {
	display: block;
	opacity: 1;
	//-webkit-text-stroke: 1pt yellow;
	/*text-stroke: 1pt yellow;*/
}

#koboldworks-ready-up-next,
#koboldworks-ready-up-now {
	transform: translateZ(0);
	animation: slide-left 1.2s;
	white-space: pre;
	display: none;
	opacity: 0;
}
}

/*
#koboldworks-ready-up-now swoosher {
	animation: swoosh 2s infinite;
}
*/

/* Label slide from right to its final position */
@keyframes slide-left {
	from {
		margin-left: 100%;
	}
}

/*
@keyframes swoosh {
	from {
		margin-right: 120%;
	}
	to {
		margin-left: -20%;
	}
}
*/
